
	$(document).ready(function(){
 
 	/* 
	// MONITOREO - EQUIPOS DE TRABAJO ----------------------------------------
 	*/
		var tabla_coordinador = $('#tabla_coordinador').DataTable({ 
			"lengthMenu": [[15, 25, 50, -1], [15, 25, 50, "Todos"]]
		});
		var tabla_supervisor = $('#tabla_supervisor').DataTable({ 
			"lengthMenu": [[15, 25, 50, -1], [15, 25, 50, "Todos"]]
		});

		table = $('#tabla_listado').DataTable({ 
			"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]]
		});

		/*Aplicar la busqueda por campo*/	
		table.columns().every( function () {
			var that = this;
			$( 'input', this.header() ).on( 'keyup change', function () {
				if ( that.search() !== this.value ) {
					that
					.search( this.value )
					.draw();
				}
			} );
		});
  
    $('#tabla_coordinador tbody').on( 'click', 'tr', function ()
    { 
    	tabla_coordinador.$('tr.luz_azul').removeClass('luz_azul');
        $(this).toggleClass("luz_azul");
	}
	);

    $('#tabla_supervisor tbody').on( 'click', 'tr', function ()
    { 
    	tabla_supervisor.$('tr.luz_naranja').removeClass('luz_naranja');
        $(this).toggleClass("luz_naranja");
	}
	);

 /*
//    $('#button').click( function () {
//        tabla_coordinador.row('.selected').remove().draw( false );
//    } );
*/


});

	function enviar_supervisor(codigo1, codigo2)
	{

		/* Obtener los valores del listado */
		var a = $('form select[name=p1_supervisor]').val(); 
		var b = $('form select[name=p1_supervisor]  option[value='+a+']').text(); 

		a = codigo1;
		b = codigo2;

		/* Agregar los valores a la lista de supervisores del panel B 
		// Con este script agrega opciones en el select
		$('select[name=p2_supervisor]').append($('<option>', {
		    value: a,
		    text: b
		}));*/
		$('select[name=p1_coordinador]').val(a);
		$('select[name=p1_supervisor]').val(b);
		$('select[name=p2_supervisor]').val(b); 

		/* Resaltar cambios en pantalla */
		$('select[name=p1_coordinador]').effect("highlight", {color: '#65bcee'}, 500);
		$('select[name=p1_supervisor]').effect("highlight", {color: '#65bcee'}, 500);
		$('select[name=p2_supervisor]').effect("highlight", {color: '#ffb94d'}, 500); 

		/* Autoseleccionar dicho elemento agregado*/
		$('select[name=p1_coordinador]').val(a);
		$('select[name=p1_supervisor]').val(b);
		$('select[name=p2_supervisor]').val(b); 
	}

	function obtener_supervisor(codigo1, codigo2)
	{
 
		a = codigo1;
		b = codigo2;
 
		$('select[name=p2_supervisor]').val(a);
		$('select[name=p2_verificador]').val(b); 

		/* Resaltar cambios en pantalla */
		$('select[name=p2_supervisor]').effect("highlight", {color: '#ffb94d'}, 500);
		$('select[name=p2_verificador]').effect("highlight", {color: '#ffb94d'}, 500); 

		/* Autoseleccionar dicho elemento agregado*/
		$('select[name=p2_supervisor]').val(a);
		$('select[name=p2_verificador]').val(b); 
	} 
 
	function btn_accion_equipo_trabajo(objeto)
	{

		var nombre_form = "";
		if (
			objeto.id == 'btn_agrega_coordinador_supervisor' ||
			objeto.id == 'btn_eliminar_coordinador_supervisor' 
			)
		{
			nombre_form = '#form-panel_coordinador_supervisor';
		}else{
			nombre_form = '#form-panel_supervisor_verificador';
	 	}

		$('<input />')
				.attr('type', 	'hidden'		)
				.attr('name', 	'accion'		)
				.attr('id', 	'accion'		)
				.attr('value', 	objeto.value	)
				.appendTo(nombre_form);
		 
		$(nombre_form).submit();
	}



$(document).ready(function(){

 	/* 
	// MONITOREO - ASIGNACION COORDINADOR > SUPERVISOR ----------------------------------------
 	*/

		var tabla_panel1A = $('#tabla_panel1A').DataTable({ 
			"lengthMenu": [[12, 25, 50, -1], [12, 25, 50, "Todos"]]
		});
		var tabla_panel1B = $('#tabla_panel1B').DataTable({ 
			"lengthMenu": [[12, 25, 50, -1], [12, 25, 50, "Todos"]]
		});
 
  
    $('#tabla_panel1A tbody').on( 'click', 'tr', function ()
    { 

    	tabla_panel1A.$('tr.luz_azul').removeClass('luz_azul');
        $(this).toggleClass("luz_azul");
	}
	);


    $('#tabla_panel1B tbody').on( 'click', 'tr', function ()
    { 
    	tabla_panel1B.$('tr.luz_naranja').removeClass('luz_naranja');
        $(this).toggleClass("luz_naranja");
	}
	);
});

 	/* ############ PANEL 1A ########### */

	var panel1_id 			= "";
	var panel1_lot 			= "";
	var panel1_reg 			= "";
	var panel1_geo 			= "";
	var p1_supervisor_val	= "";

	var panel2_id 			= "";
	var panel2_lot 			= "";
	var panel2_reg 			= "";
	var panel2_geo 			= "";
	var p2_supervisor_val	= "";

	function mantener_filtro (p1_colonia_seleccionado)
	{
/*		alert("mantener_filtro: "+p1_colonia_obj.value);*/
		var nombre_form = "#form-panel_asignacion_coordinador_supervisor"; 
		$('<input />')
				.attr('type', 	'hidden'			)
				.attr('name', 	'filtrar_colonia'	)
				.attr('id', 	'filtrar_colonia'	)
				.attr('value', 	p1_colonia_seleccionado)
				.appendTo(nombre_form);
	}

	function filtrar_colonia(id_box)
	{
		var p1_colonia_seleccionado = $("#"+id_box).val(); 
 		var nombre_form = "form-panel_asignacion_coordinador_supervisor"; 

		$("#p1_todas_las_colonias_input").val(''); 
 		capturar_supervisor_p1();
		mantener_filtro(p1_colonia_seleccionado);
 
		deshabilitar_funciones();
		$("#"+nombre_form).submit();
	}

	function refrescar_lotes_asignados_supervisor(id_box)
	{
		var p1_colonia_seleccionado = $("#"+id_box).val(); 
 		var nombre_form = "form-panel_asignacion_coordinador_supervisor"; 

		$("#p1_todas_las_colonias_input").val(''); 
 		capturar_supervisor_p1();
		mantener_filtro(p1_colonia_seleccionado);

									check_filtro_todas_colonias(nombre_form);
		deshabilitar_funciones();
		$("#"+nombre_form).submit();
	}

	function capturar_supervisor_p1()
	{
		p1_supervisor_val = $("#p1_supervisor").val();
		crear_input_hidden('p1_supervisor_val'	, p1_supervisor_val	, 'form-panel_asignacion_coordinador_supervisor');
 
		var var2 = $("#p1_todas_las_colonias_input").val();
		crear_input_hidden('p1_todas_las_colonias_input' , 	var2, 'form-panel_asignacion_coordinador_supervisor');
		var var3 = $("#xfiltrar_colonia").val();
		crear_input_hidden('xfiltrar_colonia' , 			var3, 'form-panel_asignacion_coordinador_supervisor');
	 
	}

	function capturar_supervisor_p2()
	{
		p2_supervisor_val = $("#p2_supervisor").val();
		crear_input_hidden('p2_supervisor_val'	, p2_supervisor_val	, 'form-panel_asignacion_supervisor_verificador');

		p1_supervisor_val = $("#p1_supervisor").val();
		crear_input_hidden('p1_supervisor_val'	, p1_supervisor_val	, 'form-panel_asignacion_supervisor_verificador');


		var var2 = $("#p1_todas_las_colonias_input").val();
		crear_input_hidden('p1_todas_las_colonias_input', 	var2, 'form-panel_asignacion_supervisor_verificador');
		var var3 = $("#xfiltrar_colonia").val();
		crear_input_hidden('xfiltrar_colonia', 				var3, 'form-panel_asignacion_supervisor_verificador');


	}

	function habilitar_boton(boton)
	{
		$("#"+boton).attr("disabled", false);
	}

	var bandera_una_sola_captura_total_1A = false;
	var bandera_una_sola_captura_total_1B = false;
	function capturar_registro(registro, listado, nombre_form)
	{
		/*Habilitar el boton de agregar/remover UNO A UNO*/
		if (listado == "tabla_listado_1A"  )
		{
		capturar_supervisor_p1();
			habilitar_boton("btn_agregar_uno_a_uno");
			habilitar_boton("btn_agregar_todos");

			if (bandera_una_sola_captura_total_1A == false)
			{
				/*var tabla_completa1A 	= capturar_total_registros_tabla($('#tabla_panel1A'));*/
				var oTable				= $('#tabla_panel1A').dataTable();
				var tabla_completa1A 	= oTable.fnGetData();
				x = 0;
				y = 0;

				for(var x in tabla_completa1A) { 
					/*console.log("variable x: "+x);*/
					for(var y in tabla_completa1A[x]) {
						/*console.log("variable y: "+y);*/
						crear_input_hidden('tabla_completa1A['+x+']['+y+']', tabla_completa1A[x][y], 'form-panel_asignacion_coordinador_supervisor');
					    /*console.log(tabla_completa1A[x][y]);  */
					}
				}
				bandera_una_sola_captura_total_1A =true;
			}

			panel1_id			= $(registro).find('td').html() 									;
			panel1_lot 			= $(registro).find('td').next('td').html() 							;
			panel1_reg 			= $(registro).find('td').next('td').next('td').html()				;
			panel1_geo 			= $(registro).find('td').next('td').next('td').next('td').html()	;

			p1_colonia_obj		= "";

		 	crear_input_hidden('panel1_id'			, panel1_id			, nombre_form);
		 	crear_input_hidden('panel1_lot'			, panel1_lot		, nombre_form);
		 	crear_input_hidden('panel1_reg'			, panel1_reg		, nombre_form);
		 	crear_input_hidden('panel1_geo'			, panel1_geo		, nombre_form);
			/*console.log(tabla_completa1A);*/
			console.log(registro);
			console.log("registro.id: "+registro.id);
			console.log("captura registro: "+$(registro.id).parents("td").val() );
			console.log("panel1_id: "+panel1_id		);
			console.log("panel1_lot: "+panel1_lot	);
			console.log("panel1_reg: "+panel1_reg	);
			console.log("panel1_geo: "+panel1_geo 	);
			console.log("p1_supervisor_val: "+p1_supervisor_val);
			
		}

		if (listado == "tabla_listado_1B"  )
		{
			capturar_supervisor_p2();
			habilitar_boton("btn_remover_uno_a_uno");
			habilitar_boton("btn_remover_todos");

			if (bandera_una_sola_captura_total_1B == false)
			{
				
				/*var tabla_completa1B 	= capturar_total_registros_tabla($('#tabla_panel1A'));*/
				var uTable				= $('#tabla_panel1B').dataTable();
				var tabla_completa1B 	= uTable.fnGetData();
				h = 0;
				z = 0;

				for(var h in tabla_completa1B) { 
					/*console.log("variable h: "+h);*/
					for(var z in tabla_completa1B[h]) {
						/*console.log("variable z: "+z);*/
						crear_input_hidden('tabla_completa1B['+h+']['+z+']', tabla_completa1B[h][z], 'form-panel_asignacion_supervisor_verificador');
					    /*console.log(tabla_completa1B[h][z]);  */
					}
				}
				bandera_una_sola_captura_total_1B =true;
			}

			panel2_id			= $(registro).find('td').html() 									;
			panel2_lot 			= $(registro).find('td').next('td').html() 							;
			panel2_reg 			= $(registro).find('td').next('td').next('td').html()				;
			panel2_geo 			= $(registro).find('td').next('td').next('td').next('td').html()	;

			p2_colonia_obj		= "";

		 	crear_input_hidden('panel2_id'			, panel2_id			, nombre_form);
		 	crear_input_hidden('panel2_lot'			, panel2_lot		, nombre_form);
		 	crear_input_hidden('panel2_reg'			, panel2_reg		, nombre_form);
		 	crear_input_hidden('panel2_geo'			, panel2_geo		, nombre_form);
			/*console.log(tabla_completa1B);*/
			console.log(registro);
			console.log("registro.id: "+registro.id);
			console.log("captura registro: "+$(registro.id).parents("td").val() );
			console.log("panel2_id: "+panel2_id		);
			console.log("panel2_lot: "+panel2_lot	);
			console.log("panel2_reg: "+panel2_reg	);
			console.log("panel2_geo: "+panel2_geo 	);
			console.log("p2_supervisor_val: "+p2_supervisor_val);
		}

 
	 /*	$("#"+nombre_form).submit();  este no */
	}
	/*
		Son la botonera principal con flechas enel centro de la pantalla. 
		Identifica el formulario y la accion concreta para enviar al controler las instrucciones
	*/
	function btn_accion_asignacion(objeto)
	{
		bandera_una_sola_captura_total_1A = false;
		bandera_una_sola_captura_total_1B = false;
		capturar_supervisor_p1();
		capturar_supervisor_p2();
		var nombre_form = "";
		if ( objeto.id == 'btn_agregar_todos'  )
		{
			nombre_form = 'form-panel_asignacion_coordinador_supervisor';
			$("#"+objeto.id).removeClass('btn-warning');
			$("#"+objeto.id).addClass('btn-danger');
		} 

		if ( objeto.id == 'btn_agregar_uno_a_uno'  )
		{
			nombre_form = 'form-panel_asignacion_coordinador_supervisor';
			$("#"+objeto.id).removeClass('btn-warning');
			$("#"+objeto.id).addClass('btn-danger');
		} 
 
		if ( objeto.id == 'btn_remover_uno_a_uno'  )
		{
			nombre_form = 'form-panel_asignacion_supervisor_verificador';
			$("#"+objeto.id).removeClass('btn-primary');
			$("#"+objeto.id).addClass('btn-danger');
		} 

		if ( objeto.id == 'btn_remover_todos'  )
		{
			nombre_form = 'form-panel_asignacion_supervisor_verificador';
			$("#"+objeto.id).removeClass('btn-primary');
			$("#"+objeto.id).addClass('btn-danger');
		} 

		crear_input_hidden('accion', objeto.id, nombre_form);
 
		/* Deshabilitar dropdowns y otros  
$('td').has('input[type=checkbox]:disabled')
*/
		check_filtro_todas_colonias(nombre_form)
		deshabilitar_funciones();
	 	$("#"+nombre_form).submit(); 

	}


	function check_filtro_todas_colonias(nombre_form)
	{
		if ( 
			$("#p1_todas_las_colonias").is(':disabled') ||  
			$("#p1_todas_las_colonias").is(':checked')  ||  
			$("#p1_todas_las_colonias").attr('checked') ==  true 
			)
		{
			$("#p1_todas_las_colonias_input").val('todas_las_colonias'); 
			crear_input_hidden('p1_todas_las_colonias_input', "todas_las_colonias", nombre_form);
			
		}
	}


	function deshabilitar_funciones()
	{
 
		$("#btn_agregar_todos")		.attr("disabled", true);
		$("#btn_agregar_uno_a_uno")	.attr("disabled", true);
		$("#btn_remover_uno_a_uno")	.attr("disabled", true);
		$("#btn_remover_todos")		.attr("disabled", true);
		$("#btn_refrescar")			.attr("disabled", true);

		$("#p1_colonia")			.attr("disabled", true);
		$("#p1_supervisor")			.attr("disabled", true);
 
		$("#tabla_panel1A tr")		.css('cursor','');
		$("#tabla_panel1A tr")		.removeAttr('onclick', null);
		$("#tabla_panel1A tr")		.css("background-color","#e8e8e8");
		$("#tabla_panel1A tr > td")	.css("background-color","#e8e8e8");

	 
		$("#p2_supervisor")			.attr("disabled", true);
 
		$("#tabla_panel1B tr")		.css('cursor','');
		$("#tabla_panel1B tr")		.removeAttr('onclick', null);
		$("#tabla_panel1B tr")		.css("background-color","#e8e8e8");
		$("#tabla_panel1B tr > td")	.css("background-color","#e8e8e8");
 		
	}

	function crear_input_hidden(nameid, valor, nombre_form)
	{
	/*	
		console.log('----------------------------------------------' );
		console.log('nameid: ' 		+ nameid);
		console.log('valor: ' 		+ valor);
		console.log('nombre_form: ' + nombre_form); 
		console.log('//////////////////////////////////////////////' );
	*/
		if($("#"+nombre_form + ' #'+nameid).val())
		{
			$("#"+nombre_form + ' #'+nameid).remove();  
			$("#"+nombre_form + ' #'+nameid).val(valor);
		}

		$('<input />')
				.attr('type', 	'hidden'	)
				.attr('name', 	nameid		)
				.attr('id', 	nameid		)
				.attr('value', 	valor 		)
				.appendTo("#"+nombre_form);

		return true;
	}

	function todas_las_colonias(nombre_form)
	{
		capturar_supervisor_p1();
		capturar_supervisor_p2();

		$('<input />')
				.attr('type', 	'hidden'			)
				.attr('name', 	'accion'			)
				.attr('id', 	'accion'			)
				.attr('value', 	'todas_las_colonias')
				.appendTo("#"+nombre_form);
		deshabilitar_funciones();
		$("#"+nombre_form).submit();
	}



	window.onload = function () {
 
		$("#nombre_supervisor_filtrado_asignaciones").html($("#p1_supervisor option:selected ").text());

	}
			
	 
	 